export const REDIRECT_NAME = 'Redirect';

export const PARENT_LAYOUT_NAME = 'ParentLayout';

export const PAGE_NOT_FOUND_NAME = 'PageNotFound';

export const EXCEPTION_COMPONENT = () => import('/@/views/sys/exception/Exception.vue');

/**
 * @description: 平台 工作平台 layout
 */
export const PLATFORM_WORKBENCH_LAYOUT = () => import('/@/layouts/platform/index.vue');
/**
 * @description: 平台 layout
 */
export const PLATFORM_LAYOUT = () => import('/@/layouts/platform/platform.vue');
/**
 * @description: 平台 子页面 layout
 */
export const DEFAULT_PLATFORM_LAYOUT = () => import('/@/layouts/platform/default.vue');

/**
 * @description: parent-layout
 */
export const getParentLayout = (_name?: string) => {
  return () =>
    new Promise((resolve) => {
      resolve({
        name: PARENT_LAYOUT_NAME,
      });
    });
};
